Bug 821997 - dump vmcore twice when the dump target is configured to the first kernel's root device
dump vmcore twice when the dump target is configured to the first kernel's ro...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Baoquan He
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 821998
  Show dependency treegraph
 
Reported: 2012-05-15 23:51 EDT by WANG Chao
Modified: 2013-08-01 14:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 821998 (view as bug list)
Environment:
Last Closed: 2013-08-01 14:40:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description WANG Chao 2012-05-15 23:51:15 EDT
Description of problem:
As subject, and
# cat /etc/kdump.conf
ext4 /dev/mapper/vg_hp--dl580g5--01-lv_root
which vg_hp--dl580g5--01-lv_root is the root in the first kernel.

The broken code located in dump_localfs(), when that localfs is root, it can't be umount and make dump_localfs return 1 and then do_default_action. But vmcore is successfully dumped, and do_default_action will do the dump_rootfs again to save vmcore.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
++ eval 'dump_localfs /dev/mapper/vg_hp--dl580g5--01-lv_root || do_default_action && reboot -f'  
+++ dump_localfs /dev/mapper/vg_hp--dl580g5--01-lv_root  
++++ to_dev_name /dev/mapper/vg_hp--dl580g5--01-lv_root  
++++ local dev=/dev/mapper/vg_hp--dl580g5--01-lv_root  
++++ case "$dev" in  
++++ echo /dev/mapper/vg_hp--dl580g5--01-lv_root  
+++ local _dev=/dev/mapper/vg_hp--dl580g5--01-lv_root  
++++ get_mp /dev/mapper/vg_hp--dl580g5--01-lv_root  
++++ local _mp  
++++ local dev mp fs opts rest  
++++ read dev mp fs opts rest  
++++ '[' rootfs = /dev/mapper/vg_hp--dl580g5--01-lv_root ']'  
++++ read dev mp fs opts rest  
++++ '[' proc = /dev/mapper/vg_hp--dl580g5--01-lv_root ']'  
++++ read dev mp fs opts rest  
++++ '[' sysfs = /dev/mapper/vg_hp--dl580g5--01-lv_root ']'  
++++ read dev mp fs opts rest  
++++ '[' devtmpfs = /dev/mapper/vg_hp--dl580g5--01-lv_root ']'  
++++ read dev mp fs opts rest  
++++ '[' devpts = /dev/mapper/vg_hp--dl580g5--01-lv_root ']'  
++++ read dev mp fs opts rest  
++++ '[' tmpfs = /dev/mapper/vg_hp--dl580g5--01-lv_root ']'  
++++ read dev mp fs opts rest  
++++ '[' tmpfs = /dev/mapper/vg_hp--dl580g5--01-lv_root ']'  
++++ read dev mp fs opts rest  
++++ '[' /dev/mapper/vg_hp--dl580g5--01-lv_root = /dev/mapper/vg_hp--dl580g5--01-lv_root ']'  
++++ _mp=/sysroot  
++++ break  
++++ echo /sysroot  
+++ local _mp=/sysroot  
+++ '[' /sysroot = /sysroot/ ']'  
+++ '[' /sysroot = /sysroot ']'  
+++ mount -o remount,rw /sysroot  
[   55.584574] EXT4-fs (dm-1): re-mounted. Opts: (null) 
+++ mkdir -p /sysroot//var/crash/15.05.12-07:12:10  
+++ makedumpfile -c --message-level 1 -d 31 /proc/vmcore /sysroot//var/crash/15.05.12-07:12:10/vmcore  
 Checking for memory holes          : [  0 %]  Checking for memory holes          : [100 %]  Excluding unnecessary pages        : [ 75 %]  Excluding unnecessary pages        : [100 %]  Excluding free pages               : [100 %]  Copying data                       : [  0 %]  Copying data                       : [ 18 %]  Copying data                       : [ 22 %]  Copying data                       : [ 25 %]  Copying data                       : [ 39 %]  Copying data                       : [ 44 %]  Copying data                       : [ 49 %]  Copying data                       : [ 52 %]  Copying data                       : [ 58 %]  Copying data                       : [ 71 %]  Copying data                       : [ 78 %]  Copying data                       : [ 84 %]  Copying data                       : [ 90 %]  Copying data                       : [ 96 %]  Copying data                       : [100 %]   
+++ umount /sysroot  
umount: /sysroot: target is busy.  
        (In some cases useful info about processes that use  
         the device is found by lsof(8) or fuser(1))  
+++ return 1  
+++ do_default_action  
+++ wait_for_loginit  
+++ '[' no = yes ']'  
+++ return  
+++ dump_rootfs  
+++ mount -o remount,rw /sysroot/  
[   71.499781] EXT4-fs (dm-1): re-mounted. Opts: (null) 
+++ mkdir -p /sysroot//var/crash/15.05.12-07:12:10  
+++ makedumpfile -c --message-level 1 -d 31 /proc/vmcore /sysroot//var/crash/15.05.12-07:12:10/vmcore
 Checking for memory holes          : [  0 %]  Checking for memory holes          : [100 %]  Excluding unnecessary pages        : [  1 %]  Excluding unnecessary pages        : [ 84 %]  Excluding unnecessary pages        : [100 %]  Excluding free pages               : [100 %] +++ return 1
Comment 1 Fedora Admin XMLRPC Client 2013-02-25 03:07:03 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-07-04 02:58:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 14:40:18 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.